Subject: Re: [PATCH 11/10] cocci: remove obsolete the_repository rules

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 16 Jan 2026 11:02:17 +0100

On Thu, Jan 15, 2026 at 11:01:25PM +0100, René Scharfe wrote:
> 035c7de9e9e (cocci: apply the "revision.h" part of
> "the_repository.pending", 2023-03-28) removed the last of the repo-less
> functions and macros mentioned in the_repository.cocci at the time.  No
> stragglers appeared since then.  Remove the applied rules now that they
> have outlived their usefulness.
> 
> Also add a reminder to eventually remove the just added rules for
> tree.h.

All of the removals look good to me, and I verified that we indeed don't
have these functions anymore. Thanks!

Patrick